Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Plugin Update auf PHP 5.4.
#1
Vor einiger Zeit erfolgte Seitens meines Hosters ein Update auf PHP 5.4.

Damals modifizierte ich das Plugin für den Datenbankabgleich mit dem Mitgliederverzeichnis einer anderen Webseite, das vor Jahren von einem flüchtig Bekannten geschrieben wurde, damit das Forum wieder läuft. Anscheinend funktioniert es aber immer noch nicht richtig. Nutzer bekommen folgende Fehlermeldung bei der Registrierung:

   

Das Update auf PHP 5.4. erfordert irgendwelche Modifikationen im Code. Wer kennt sich damit aus und kann mir helfen? Ich hänge es hier an, so wie es derzeit ist (natürlich ohne mein Passwort)


.php   emvz.php (Größe: 20,37 KB / Downloads: 3)
Zitieren
#2
Das Plugin ist für mich zu heftig... Blush

Aber evtl. hat das etwas mit den Änderungen zu tun, die mit MyBB 1.6.5 eingeführt wurden. Der von dem Plugin-Autor verwendete Hook "datahandler_user_validate" könnte ein Hinweis sein.

Das ist jetzt wirklich nur Rätselraten, aber vielleicht hilft es, die Zeile 85 wie folgt zu ändern:
PHP-Code:
function emvz_datahandler_user_validate(&$userDH) { 

Auf der anderen Seite macht die Art und Weise des Aufbaus des Plugin den Eindruck, wie wenn der Autor das "Passing by Reference" durchaus hätte kennen sollen.
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#3
Ich probier's mal. Leider kann ich es nicht testen, weil sich ja dazu jemand neu anmelden muss, der in der anderen Datenbank enthalten ist. Und auf die habe ich keinen Zugriff.
Zitieren
#4
Hat leider nicht geklappt. Noch Ideen?
Zitieren